
TYPO3.Flow - Bug # 37550

Status: Resolved Priority: Should have
Author: Pankaj Lele Category: Http
Created: 2012-05-28 Assigned To: Karsten Dambekalns
Updated: 2013-11-18 Due date:
PHP Version: 5.3
Has patch: Yes
Complexity:
Affected Flow version: FLOW3 1.1.0 beta 1
Subject: TYPO3.FLOW3.http.baseUri does not work
Description

Setting TYPO3.FLOW3.http.baseUri to a value e.g. 'http://mywebsite.com/' really have no effect on the <base> tag and the resource
links.

This baseUri setting is really helpful when FLOW3 is running behind a nginx proxy. So that FLOW3 can be forced to render base tag
and resource links with the baseUri of nginx site.

Attached patch works very well. But not sure if it's clean approach.

Associated revisions
Revision 92b4d995 - 2012-06-18 14:41 - Henrik Møller Rasmussen

[BUGFIX] Make baseUri setting work for resource publishing

The baseUri setting was not observed in the filesystem resource
publisher.

Change-Id: Iabb30661bab00d24fae2715c11e2f9942e90a9d1
Fixes: #37550
Releases: 1.1, 1.2

Revision f75c243e - 2012-06-18 14:42 - Henrik Møller Rasmussen

[BUGFIX] Make baseUri setting work for resource publishing

The baseUri setting was not observed in the filesystem resource
publisher.

Change-Id: Iabb30661bab00d24fae2715c11e2f9942e90a9d1
Fixes: #37550
Releases: 1.1, 1.2

History
#1 - 2012-05-28 20:56 - Pankaj Lele
- File typo3.flow3.patch added

#2 - 2012-05-28 22:28 - Pankaj Lele
- File typo3.flow3_v2.patch added

More elegant way by using additionally a HTTP header to override the baseUri. Still the patch cannot be that clean in your eyes. So please add your
comments.

#3 - 2012-06-12 15:18 - Henrik Møller Rasmussen

Experiencing same issues in latest head:

commit 2bf89747b985f4bf41d4fad5be5c1bc7f9dc28cd
Author: hudson <hudson@typo3.org>
Date:   Mon Jun 11 17:03:54 2012 +0200

#4 - 2012-06-13 12:07 - Henrik Møller Rasmussen
- File patch added

[BUGFIX] Initialize resources base uri upon request

The resources base uri was set in the object initialization
where the settings was not loaded yet. That meant that the
TYPO3.FLOW3.http.baseUri setting did not have any effect.

Instead the base uri is detected upon first request. This
way the settings are loaded upon first resources base uri
detection.

#5 - 2012-06-13 12:29 - Karsten Dambekalns
- Assigned To changed from Robert Lemke to Karsten Dambekalns

#6 - 2012-06-13 12:30 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12024

#7 - 2012-06-18 14:40 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12024

#8 - 2012-06-18 14:41 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12024
#9 - 2012-06-18 14:42 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12162

#10 - 2012-06-18 15:38 - Henrik Møller Rasmussen
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:92b4d9950e1ed0950062eebf01308c08dea907d7.

Files
typo3.flow3.patch 1.2 kB 2012-05-28 Pankaj Lele
typo3.flow3.patch 3.2 kB 2012-05-28 Pankaj Lele
typo3.flow3_v2.patch 2.8 kB 2012-05-28 Pankaj Lele
patch 2.4 kB 2012-06-13 Henrik Møller Rasmussen
